## org.eclipse.emf.compare.match.metamodel
Interface Match3Elements

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, Match2Elements, MatchElement, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  Match3ElementsImpl

    public interface Match3Elements

extends Match2Elements

A representation of the model object 'Match3 Elements'.

The following features are supported:

- `Origin Element`

See Also:
  `MatchPackage.getMatch3Elements()`

Method Summary
`org.eclipse.emf.ecore.EObject` `getOriginElement()` Returns the value of the 'Origin Element' reference
`void` `setOriginElement(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Origin Element`' reference

Methods inherited from interface org.eclipse.emf.compare.match.metamodel.Match2Elements
`getLeftElement, getRightElement, setLeftElement, setRightElement`

Methods inherited from interface org.eclipse.emf.compare.match.metamodel.MatchElement
`getSimilarity, getSubMatchElements, setSimilarity`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOriginElement

    org.eclipse.emf.ecore.EObject getOriginElement()

  Returns the value of the 'Origin Element' reference.

  If the meaning of the 'Origin Element' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Origin Element' reference.
  See Also:
    `setOriginElement(EObject)`, `MatchPackage.getMatch3Elements_OriginElement()`

### setOriginElement

    void setOriginElement(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Origin Element`' reference.

  Parameters:
    `value` - the new value of the 'Origin Element' reference.
  See Also:
    `getOriginElement()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.